import { defineStore } from "pinia";
import type { WorkflowIn } from "@/client/workflow";

export const useArbitraryWorkflowStore = defineStore({
  id: "arbitraryWorkflows",
  state: () => {
    return {
      arbitraryWorkflows: {} as Record<string, WorkflowIn>,
    } as { arbitraryWorkflows: Record<string, WorkflowIn> };
  },
  actions: {
    setWorkflow(workflow: WorkflowIn): string {
      const wid = crypto.randomUUID();
      this.arbitraryWorkflows[wid] = workflow;
      return wid;
    },
  },
});
